import { ApolloClient } from '@apollo/client';
import { BaseModel } from './types/common';
export declare class ApolloBaseService {
    client: ApolloClient<unknown>;
    constructor({ client }: {
        client: ApolloClient<unknown>;
    });
    isDevelopment: boolean;
    generateReference({ id, __typename }: BaseModel): string;
    getModelFromCache<T extends Record<string, any>>(__ref: string | BaseModel): T;
}
